boost::geometry::closure< Geometry > Struct Template Reference
core: meta-functions for geometry types

Metafunction defining [*value] as the closure (clockwise, counterclockwise) of the \3. More...

List of all members.

## Static Public Attributes

static const closure_selector | value

## Detailed Description

### template<typename Geometry>
struct boost::geometry::closure< Geometry >

Metafunction defining [*value] as the closure (clockwise, counterclockwise) of the \3.

Template Parameters:

  Geometry | Any type fulfilling a Geometry Concept

## Member Data Documentation

template<typename Geometry >

const closure_selector boost::geometry::closure< Geometry >::value `[static]`

Initial value:

     core_dispatch::closure
            <
                typename tag<Geometry>::type,
                typename util::bare_type<Geometry>::type
            >::value

April 2, 2011 | Copyright © 2007-2011 Barend Gehrels, Amsterdam, the Netherlands Copyright © 2008-2011 Bruno Lalande, Paris, France Copyright © 2009-2010 Mateusz Loskot, London, UK